typst-0.8.0.2: Parsing and evaluating typst syntax.

Safe Haskell | None
Language | Haskell2010

Typst.Parse

Synopsis

- parseTypst :: FilePath -> Text -> Either ParseError [Markup]

# Documentation

parseTypst Source #

Arguments

:: FilePath | Filepath to Typst source text, only used for error messages
-> Text | The Typst source text
-> Either ParseError [Markup] |

Parse text into a list of `Markup` (or a Parsec `ParseError`).